{% extends "base.html" %}
{% load i18n applications_tags seawatch_registration_tags tz %}
{% block extra_css %}
  {{ block.super }}
  {{ form.media.css }}
{% endblock %}
{% block content %}
  <h1>
    {{ volunteer.name }}
    <small>Submitted {{ volunteer.applied_at }}</small>
  </h1>
  {% if rejected %}
    <div class="alert alert-warning">
      <p>
        {{ volunteer.first_name }} was rejected for the following positions:
        <ul>
          {% for p in rejected_positions %}<li>{{ p.name }}</li>{% endfor %}
        </ul>
        This page is an overview of that rejection and does not allow any changes.
      </p>
      {% if accepted_positions_count %}
        <p>
          {{ volunteer.first_name }} has been accepted for {{ accepted_positions_count }} position{{ accepted_positions_count|pluralize }},
          <a href="{% url "volunteer_detail" pk=volunteer.id %}">see details.</a>
        </p>
      {% endif %}
      {% if current_positions_count %}
        <p>
          {{ volunteer.first_name }} is currently applying for {{ current_positions_count }} position{{ current_positions_count|pluralize }},
          <a href="{% url "application_update" volunteer_id=volunteer.id %}">see details.</a>
        </p>
      {% endif %}
    </div>
  {% else %}
    {% if rejected_positions %}
      <div class="alert alert-info">
        {{ volunteer.first_name }} was rejected for {{ rejected_positions|length }} position{{ rejected_positions|length|pluralize }},
        <a href="?rejected">see details.</a>
      </div>
    {% endif %}
  {% endif %}
  <section class="application-data planner-grid-of-cards"
           {% if rejected %}inert{% endif %}>
    <form id="application-update-form"
          data-warn-on-leave-if-changed
          method="post"
          novalidate
          autocomplete="off">
      {% csrf_token %}
      {{ form }}
    </form>
  </section>
  <hr>
  <h1 class="alt-color">Sea-Watch Internal</h1>
  <section class="application-internal" {% if rejected %}inert{% endif %}>
    {% include "applications/application_form_accept_some_positions.html" %}
    {% include "applications/application_form_add_comment.html" %}
  </section>
  <div style="display: flex;
              justify-content: end;
              gap: 6px"
       {% if rejected %}inert{% endif %}>
    <button class="button"
            onClick="document.getElementById('planner-modal-reject-application').classList.add('visible')">
      {% if features.keep_rejected_applications %}
        Reject for all positions
      {% else %}
        Delete application
      {% endif %}
    </button>
    {# acceptApplication button is replaced dynamically when deciding positions #}
    {% include "applications/application_form_accept_button.html" %}
  </div>
{% endblock %}
{% block extra_scripts %}
  {{ block.super }}
  {{ form.media.js }}
{% endblock %}
{% block extra_body_content %}
  {% include "applications/application_form_reject_dialog.html" with show_modal_immediately=reject_form_visible %}
{% endblock %}
